Unit tia83e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, IA83E_p;

function tia83e: String;

implementation

function tia83e: String;
var
ITER,IERR,K,_i :Integer;
H :Extended;
X :Array [0..50] of Extended;
Y :Array [0..50] of Extended;
A :Array [0..7] of Extended;
AX :Array [0..8] of Extended;
RAB :Array [0..17] of Extended;
JN :Array [0..8] of Integer;
const
M :Integer = 51;
N :Integer = 7;
IN_ :Array [0..8] of Integer = ( 1,6,11,16,21,26,31,36,51 );
label
_5;
begin
Result := '';  {   }
H := 2.e0/(M-1);
for K:=1 to M do
 begin
  X[K-1] := -1.e0+(K-1)*H;
_5:
  Y[K-1] := Abs(X[K-1]);
 end;
IA83E(M,N,X,Y,IN_,ITER,A,AX,JN,RAB,IERR);
Result := Result + Format('%s',
 [' TECT  IA83D' + #$0D#$0A + ' IERR=']);
Result := Result + Format('%3d ',[IERR]);
Result := Result + Format('%s',[' JN=(']);
Result := Result + #$0D#$0A;
for _i:=0 to 8 do
 begin
  Result := Result + Format('%3d ',[JN[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' )' + #$0D#$0A + ' RAB(1,1)=']);
Result := Result + Format('%20.16f ',[RAB[0]]);
Result := Result + Format('%s',[#$0D#$0A + ' AX=' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 8 do
 begin
  Result := Result + Format('%20.16f ',[AX[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' A=' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 7 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tia83e',Result);  {     tia83e.res }
exit;
end;

end.
